import LevelJobs from 'level-jobs';
import { LevelUp } from 'levelup';
import { FileJobType } from './enums';
export interface DispatcherOptions {
    readonly queue: LevelJobs;
    readonly files: LevelUp;
    readonly watchPaths: string[];
}
export declare class Dispatcher {
    private files;
    private queue;
    private options;
    constructor(options: DispatcherOptions);
    init(): Promise<void>;
    buildExistingFilesDb(watchPath: string): Promise<number>;
    isNewFile(filepath: string): Promise<boolean>;
    enqueueFile(filepath: string, filetype: FileJobType): Promise<boolean>;
}
export declare function createDispatcher(options: DispatcherOptions): Dispatcher;
